Create Metadata Entry
Creates a new metadata entry.
Creates a new metadata entry. This operation is allowed only if the user has at least a modify access level to the region object.
Request
URI
POST
https://{api_host}/cloudapi/v1/regions/{id}/metadata
COPY
Path Parameters
string
id
Required
the URN of the entity the entry is attached to.
Request Body
MetadataEntry
of type(s)
application/json
Optional
Show optional properties
{
"keyValue": {
"domain": "string",
"key": "string",
"value": {
"value": {},
"type": "string"
}
}
}
{
"id": "string",
"persistent": false,
"readOnly": false,
"keyValue": {
"domain": "string",
"namespace": "string",
"key": "string",
"value": {
"value": {},
"type": "string"
}
}
}
Responses
201
Created
Returns
MetadataEntry
of type(s)
application/json;version=9.1.0
{
"id": "string",
"persistent": false,
"readOnly": false,
"keyValue": {
"domain": "string",
"namespace": "string",
"key": "string",
"value": {
"value": {},
"type": "string"
}
}
}
Vendor Extension
This operation contains the following vendor extensions defined in the spec:
[{"type":"Modern"}]
Code Samples
COPY
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"keyValue":"{}"}' https://{api_host}/cloudapi/v1/regions/{id}/metadata
Availability
Added in 9.1.0
On This Page
Virtual Datacenter Operations
GET
Get Metadata
POST
Create Metadata Entry
PUT
Replace Metadata Entries
GET
Get Metadata Entry
PUT
Update Metadata Entry
DELETE
Delete Metadata Entry